CustomMenuHandler Class Reference

`#include <CustomActionDialog.h>`

Inheritance diagram for CustomMenuHandler:

## Public Member Functions

bool | characters (const QString &str)
| CustomMenuHandler ()
bool | endElement (const QString &namespaceURI, const QString &localName, const QString &qName)
QString | errorString () const
bool | fatalError (const QXmlParseException &)
QString | location ()
bool | startElement (const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &attributes)
QString | title ()

## Private Attributes

QString | currentText
QString | d_location
QString | d_title
QString | errorStr
bool | metFitTag

## Constructor & Destructor Documentation

## CustomMenuHandler()

CustomMenuHandler::CustomMenuHandler | ( |  | ) |

References CustomActionHandler::metFitTag.

## Member Function Documentation

## characters()

bool CustomMenuHandler::characters | ( | const QString & | str | ) |

inline

## endElement()

bool CustomMenuHandler::endElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName
| ) |  |

References CustomActionHandler::currentText.

## errorString()

QString CustomMenuHandler::errorString | ( |  | ) | const

inline

## fatalError()

bool CustomMenuHandler::fatalError | ( | const QXmlParseException & |  | ) |

inline

## location()

QString CustomMenuHandler::location | ( |  | ) |

inline

Referenced by ApplicationWindow::loadCustomActions().

## startElement()

bool CustomMenuHandler::startElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName,
|  | const QXmlAttributes & | attributes
| ) |  |

References CustomActionHandler::currentText, CustomActionHandler::errorStr, and CustomActionHandler::metFitTag.

## title()

QString CustomMenuHandler::title | ( |  | ) |

inline

Referenced by ApplicationWindow::loadCustomActions().

## Member Data Documentation

## currentText

QString CustomMenuHandler::currentText

private

## d_location

QString CustomMenuHandler::d_location

private

## d_title

QString CustomMenuHandler::d_title

private

## errorStr

QString CustomMenuHandler::errorStr

private

## metFitTag

bool CustomMenuHandler::metFitTag

private

The documentation for this class was generated from the following files:

- qtiplot/src/core/CustomActionDialog.h
- qtiplot/src/core/CustomActionDialog.cpp